Transactions
List and filter merchant transactions.
GET
cURL
/transactions
Returns merchant transactions.
Query Params
| Param | Type | Required | Description |
|---|---|---|---|
limit | integer | No | Number of transactions. Default 50. |
Request Example
curl "https://api.chiwapay.com/transactions?limit=50" \ -H "Authorization: Bearer sk_xxx"Response
{
"transactions": [
{
"id": "f2b1d5b0-7b1f-4c5d-9c37-93f0c8f6a001",
"reference_id": "PAY-LXAMPLE",
"merchant_reference_id": "ORDER-1024",
"payment_method_code": "qris",
"currency": "IDR",
"amount": 150000,
"fee_amount": 1050,
"net_amount": 150000,
"total_amount": 151050,
"status": "paid",
"paid_at": "2026-05-19T10:01:00Z",
"created_at": "2026-05-19T10:00:00Z",
"updated_at": "2026-05-19T10:01:00Z"
}
]
}Response Fields
| Field | Description |
|---|---|
transactions | Transaction list. |
transactions[].id | Transaction UUID. |
transactions[].reference_id | Chiwa Pay transaction ID. |
transactions[].merchant_reference_id | Merchant order ID. |
transactions[].status | Transaction status. |
transactions[].total_amount | Amount the customer must pay. |
HTTP Error Code
| HTTP | Code | Description |
|---|---|---|
401 | invalid_api_key | Secret key is invalid. |
403 | merchant_not_approved | Merchant is not active. |
500 | server_error | Transactions could not be loaded. |